

using System.Collections.Generic;
using System.Xml.Linq;
namespace Cosmobox.Def
{
    public class DrawingOrder : Define
    {
        public List<DrawNode> DrawNodes { get; set; } = new List<DrawNode>();

        public override bool Init(XElement xmlDef)
        {
            base.Init(xmlDef);
            foreach (var node in xmlDef.Elements("DrawNodes"))
            {
                DrawNode drawNode = new DrawNode();
                drawNode.Init(node);
                DrawNodes.Add(drawNode);
            }
            return true;
        }
    }
}